低危 GlusterFS 3.5 __socket_proto_state_machine 拒绝服务漏洞

CVE编号

CVE-2014-3619

利用情况

暂无

补丁情况

官方补丁

披露时间

2015-03-28
漏洞描述
Red Hat GlusterFS是美国红帽(Red Hat)公司的一套开源的分布式文件系统。

GlusterFS 3.5存在拒绝服务漏洞,允许远程攻击者通过"00000000"片段头导致拒绝服务。
解决建议
用户可参考如下厂商提供的安全公告获取补丁以修复该漏洞:
http://lists.opensuse.org/opensuse-updates/2015-03/msg00056.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gluster glusterfs 3.5 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
3.5.2-2
运行在以下环境
系统 opensuse opensuse 13.1 -
运行在以下环境
系统 opensuse_13.2 glusterfs * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 glusterfs-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 glusterfs-debugsource * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 glusterfs-devel * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfapi0 * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfapi0-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfchangelog0 * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfchangelog0-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfrpc0 * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfrpc0-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfxdr0 * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libgfxdr0-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libglusterfs0 * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 opensuse_13.2 libglusterfs0-debuginfo * Up to
(excluding)
3.5.2-2.4.1
运行在以下环境
系统 ubuntu_16.04.7_lts glusterfs * Up to
(excluding)
3.5.2-2ubuntu1
运行在以下环境
系统 ubuntu_16.04_lts glusterfs * Up to
(excluding)
3.5.2-2ubuntu1
运行在以下环境
系统 ubuntu_18.04.5_lts glusterfs * Up to
(excluding)
3.5.2-2ubuntu1
运行在以下环境
系统 ubuntu_18.04_lts glusterfs * Up to
(excluding)
3.5.2-2ubuntu1
运行在以下环境
系统 ubuntu_18.10 glusterfs * Up to
(excluding)
3.5.2-2ubuntu1
阿里云评分
3.6
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
阿里云安全产品覆盖情况